Name: xisp
Version: 2.2p2
Release: 2
Group: X11/Applications/Networking
Copyright: GPL
Packager: Ximenes Zalteca <ximenes@mythic.net>
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/serial/xisp-2.2p2.tar.gz
Patch0: xisp-2.2p2-make.patch
Patch1: xisp-2.2-man.patch
Icon: xisp.xpm
URL: http://users.hol.gr/~dbouras/
BuildRoot: /tmp/xisp-root
Requires: ppp >= 2.2.0f, xforms >= 0.86
Summary: A PPP dialer for X Windows using XForms

%description
X-ISP is a visual, X11 and XForms based, user-friendly interface to pppd and 
chat, in other words, an X11 dialup networking tool. It provides maximum
feedback from the dial-in and login phases on a message browser, and 
versatility in interrupting a call in progress, generally enhancing the user's
feeling of "what's going on". 

%prep
%setup0 -n xisp-2.2
%patch0
%patch1

make clean

%build
%ifarch alpha
EXTRALIBS="-lcrypt"
%endif
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}" EXTRALIBS="$EXTRALIBS"

%install
make install RPM_BUILD_ROOT="${RPM_BUILD_ROOT}"

%files
%doc ACKNOWLEDGEMENTS COPYING HISTORY INSTALL README TODO SECURITY
/usr/X11R6/bin/xisp
/usr/sbin/xispdial
/usr/sbin/xispterm
/usr/bin/xisprccv
/usr/man/man1/xisp.1
%config /etc/ppp/ip-up
%config /etc/ppp/ip-down
